#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QtCore>
#include <QtGui>

#include <QOrganizerManager>

using namespace QtMobility;

namespace Ui {
    class SettingsDialog;
}

class SettingsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SettingsDialog(QOrganizerManager* manager, QWidget *parent = 0);
    ~SettingsDialog();


public slots:



signals:
    void saveButtonClicked();


private:
    Ui::SettingsDialog *ui;
    QOrganizerManager* defaultManager;

    QList<QCheckBox*> calendarsCheckBoxList;
    QStringList collectionIdsList;

    void readSettings();
    void saveSettings();
    void createCalendarsCheckboxes();
    bool isSizeTooBig();


private slots:



    void on_saveButton_clicked();
};

#endif // SETTINGSDIALOG_H
